%global checkout 20111219giteb97a62

Name:           libactp
# version found in ./debian/changelog
Version:        0.0.2
Release:        0.1.%{checkout}%{?dist}
Summary:        Adaptive Clearing Tool Path Library
Group:          Applications/Engineering
License:        BSD
URL:            https://github.com/Heeks/libactp
#fedora-getsvn libactp https://github.com/Heeks/libactp.git/trunk HEAD
Source0:        %{name}-svnHEAD.tar.bz2

BuildRequires:  python-devel


%description
The libactp (Adaptive Clearing Tool Path Library) is an implementation of the 
GPL'ed algorithm demonstrated in FreeSteel as a set of C library functions


%package devel
Summary:    Libraries and header files for the %{name} library
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
This package provides the libraries, include files, and other resources needed 
for developing %{name} applications.


%prep
%setup -q -n %{name}


%build
pushd PythonLib
make %{?_smp_mflags}
popd


%install
rm -rf %{buildroot}
install -d %{buildroot}/%{python_sitearch}
cp -a PythonLib/.libs/actp.so %{buildroot}/%{python_sitearch}

#Move header files to proper places
for dir in \
   freesteel \
   freesteel/python \
   freesteel/src/pits \
   freesteel/src/bolts \
   freesteel/src/cages \
   freesteel/src/xenon \
   freesteel/src/visuals
do
   install -d  %{buildroot}%{_includedir}/%{name}/$dir
   find $dir -maxdepth 1 -name "*.h" -exec mv {} %{buildroot}%{_includedir}/%{name}/$dir/ \;;
done


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc
%{python_sitearch}/actp.so

%files devel
%{_includedir}/%{name}


%changelog
* Thu Dec 15 2011 Chris Spike <spike@fedoraproject.org> 0.0.2-0.1.20111215git599996d
- Initial version of the package